[Libreoffice-commits] .: 2 commits - bin/gob-bump bin/gob-merge bin/mkcppcheck.sh bin/mkdocs.sh bin/ooo-unpack-sources bin/run-tests.sh

Fridrich Strba fridrich at kemper.freedesktop.org
Mon Oct 11 06:12:05 PDT 2010


 bin/gob-bump           |    2 +-
 bin/gob-merge          |    2 +-
 bin/mkcppcheck.sh      |    2 +-
 bin/mkdocs.sh          |    2 +-
 bin/ooo-unpack-sources |    3 ++-
 bin/run-tests.sh       |    6 +++---
 6 files changed, 9 insertions(+), 8 deletions(-)

New commits:
commit fb78725b6db110aeef90ebd2534050409067a1c1
Author: Fridrich Å trba <fridrich.strba at bluewin.ch>
Date:   Mon Oct 11 15:11:30 2010 +0200

    Fix some bashisms

diff --git a/bin/ooo-unpack-sources b/bin/ooo-unpack-sources
index 96b3b79..47a0677 100755
--- a/bin/ooo-unpack-sources
+++ b/bin/ooo-unpack-sources
@@ -45,7 +45,8 @@ outdir="$tarball_prefix-$version"
 
 if test -d "$outdir" ; then
     echo "Warning: output directory already exists: $outdir"
-    read -p "Could I replace it? (y/n)" answer
+	printf "Could I replace it? (y/n)"
+    read answer
     if test $answer != "y" ; then
         echo "	Exiting. You must answer \"y\" to continue"
 	exit 1;
diff --git a/bin/run-tests.sh b/bin/run-tests.sh
index f17fed5..2b93980 100755
--- a/bin/run-tests.sh
+++ b/bin/run-tests.sh
@@ -32,11 +32,11 @@ do
     if test -x $TESTDIR/$t/run.sh ; then
         sh $TESTDIR/$t/run.sh "$ooinstall" "$TOOLSDIR"
         if test $? ; then
-            echo -e "$t\t:\t${GREEN}PASSED${CLEAR}"
+            printf "$t\t:\t${GREEN}PASSED${CLEAR}\n"
         else
-            echo -e "$t\t:\t${RED}FAILED${CLEAR}"
+            printf "$t\t:\t${RED}FAILED${CLEAR}\n"
         fi
     else
-        echo -e "$t\t:\t${ORANGE}SKIPPED${CLEAR}"
+        printf "$t\t:\t${ORANGE}SKIPPED${CLEAR}\n"
     fi
 done
commit 1208e750f63b67ddacbacb35f8dcea2ef0a713af
Author: Fridrich Å trba <fridrich.strba at bluewin.ch>
Date:   Mon Oct 11 15:11:00 2010 +0200

    Change shebang to /bin/bash
    
    This are real bash scripts and are not used during the normal build

diff --git a/bin/gob-bump b/bin/gob-bump
index 5496d99..e2fe1d7 100755
--- a/bin/gob-bump
+++ b/bin/gob-bump
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/bash
 
 set -e
 
diff --git a/bin/gob-merge b/bin/gob-merge
index 41fb97b..b77b07d 100755
--- a/bin/gob-merge
+++ b/bin/gob-merge
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/bash
 #
 # Copyright (c) 2005 Junio C Hamano
 #
diff --git a/bin/mkcppcheck.sh b/bin/mkcppcheck.sh
index 0d88371..9102933 100755
--- a/bin/mkcppcheck.sh
+++ b/bin/mkcppcheck.sh
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/bash
 #
 # run cppcheck
 #
diff --git a/bin/mkdocs.sh b/bin/mkdocs.sh
index fe76300..80523d9 100755
--- a/bin/mkdocs.sh
+++ b/bin/mkdocs.sh
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/bash
 #
 # Doxygen Doc generation
 #


More information about the Libreoffice-commits mailing list